[Debian-eeepc-commits] [SCM] Maintenance of eeepc-acpi-scripts debian package branch, master, updated. 1.1.5-83-g6bc5131

Luca Niccoli lultimouomo at gmail.com
Thu Nov 18 22:58:34 UTC 2010


The following commit has been merged in the master branch:
commit 6bc5131088d34bb9cd7e39c73f5a5d055a10bc14
Author: Luca Niccoli <lultimouomo at gmail.com>
Date:   Thu Nov 18 23:56:08 2010 +0100

    Add wrapper for button events, only for eeepc_wmi
    
    Signed-off-by: Luca Niccoli <lultimouomo at gmail.com>

diff --git a/debian/changelog b/debian/changelog
index 97e4258..5fa23cf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,7 @@ eeepc-acpi-scripts (1.1.12) UNRELEASED; urgency=low
   [Luca Niccoli]
   * Fix DBus notifications.
   * Notify WiFi toggling.
+  * Wrap around button events if eeepc_wmi is loaded.
 
  -- Ben Armstrong <synrg at sanctuary.nslug.ns.ca>  Sun, 14 Nov 2010 10:15:07 -0400
 
diff --git a/eeepc-acpi-scripts/button.sh b/eeepc-acpi-scripts/button.sh
new file mode 100755
index 0000000..cec882c
--- /dev/null
+++ b/eeepc-acpi-scripts/button.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+grep -q eeepc[_-]wmi /proc/modules || exit 0
+case $3 in
+    WLAN)
+        hotkey=00000010
+        ;;
+    PROG1)
+        hotkey=00000012
+        ;;
+    MUTE)
+        hotkey=00000013
+        ;;
+    VOLDN)
+        hotkey=00000014
+        ;;
+    VOLUP)
+        hotkey=00000015
+        ;;
+    SCRNLCK)
+        hotkey=0000001a
+        ;;
+    VMOD)
+        hotkey=00000030
+        ;;
+    ZOOM)
+        hotkey=00000038
+        ;;
+esac
+/usr/share/acpi-support/eeepc-acpi-scripts/hotkey.sh - hotkey ASUS010:00 $hotkey $4 $5
diff --git a/etc/acpi/events/asus-eee-hotkey-button b/etc/acpi/events/asus-eee-hotkey-button
new file mode 100644
index 0000000..6fbebfe
--- /dev/null
+++ b/etc/acpi/events/asus-eee-hotkey-button
@@ -0,0 +1,2 @@
+event=button/(wlan|zoom|mute|volume|prog|screenlock)
+action=/usr/share/acpi-support/eeepc-acpi-scripts/button.sh - %e

-- 
Maintenance of eeepc-acpi-scripts debian package



More information about the Debian-eeepc-commits mailing list